Page MenuHomePhabricator

VisualEditor selenium tests sometimes fail
Open, Needs TriagePublic

Description

I'm not sure if this is something specific to a test, or something at a lower level in webdriver.io. I'm also not sure exactly how often this is happening, but I think I see it a few times a week. Example https://integration.wikimedia.org/ci/job/wmf-quibble-selenium-php74-docker/10533/console (GrowthExperiments/864910):

10:46:51 Execution of 2 workers started at 2022-12-06T09:46:51.252Z
10:46:51 
10:46:51 2022-12-06T09:46:51.254Z INFO @wdio/cli:launcher: Run onPrepare hook
10:46:51 2022-12-06T09:46:51.256Z INFO @wdio/cli:launcher: Run onWorkerStart hook
10:46:51 2022-12-06T09:46:51.257Z INFO @wdio/local-runner: Start worker 0-0 with arg: tests/selenium/wdio.conf.js
10:46:51 [0-0] 2022-12-06T09:46:51.703Z INFO @wdio/local-runner: Run worker command: run
10:46:51 [0-0] RUNNING in chrome - /tests/selenium/specs/content_editable.js
10:46:51 [0-0] 2022-12-06T09:46:51.957Z INFO devtools:puppeteer: Initiate new session using the DevTools protocol
10:46:51 [0-0] 2022-12-06T09:46:51.957Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
10:46:51 [0-0] 2022-12-06T09:46:52.553Z INFO devtools: Connect Puppeteer with browser on port 43203
10:46:52 [0-0] 2022-12-06T09:46:52.752Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:46:54 [0-0] 2022-12-06T09:46:52.753Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?title=Special%3AUserLogin")
10:46:54 [0-0] 2022-12-06T09:46:52.764Z INFO devtools: RESULT Error: Element with selector "#wpName1" not found
10:46:54 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:54 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:54 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:54 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:54 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:54 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:54 [0-0]     at async LoginPage.login (/workspace/src/extensions/VisualEditor/node_modules/wdio-mediawiki/LoginPage.js:17:3)
10:46:54 [0-0]     at async LoginPage.loginAdmin (/workspace/src/extensions/VisualEditor/node_modules/wdio-mediawiki/LoginPage.js:23:3)
10:46:54 [0-0]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/content_editable.js:14:3)
10:46:54 [0-0] 2022-12-06T09:46:53.380Z INFO devtools: RESULT null
10:46:54 [0-0] 2022-12-06T09:46:53.451Z INFO devtools: COMMAND findElements("css selector", "#wpName1")
10:46:54 [0-0] 2022-12-06T09:46:53.495Z INFO devtools: RESULT [ { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-1' } ]
10:46:54 [0-0] 2022-12-06T09:46:53.517Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:46:54 [0-0] 2022-12-06T09:46:53.525Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-2' }
10:46:54 [0-0] 2022-12-06T09:46:53.537Z INFO devtools: COMMAND elementClear("ELEMENT-2")
10:46:54 [0-0] 2022-12-06T09:46:53.546Z INFO devtools: RESULT null
10:46:54 [0-0] 2022-12-06T09:46:53.552Z INFO devtools: COMMAND elementSendKeys("ELEMENT-2", "WikiAdmin")
10:46:54 [0-0] 2022-12-06T09:46:53.612Z INFO devtools: RESULT null
10:46:54 [0-0] 2022-12-06T09:46:53.614Z INFO devtools: COMMAND findElement("css selector", "#wpPassword1")
10:46:54 [0-0] 2022-12-06T09:46:53.616Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-3' }
10:46:54 [0-0] 2022-12-06T09:46:53.621Z INFO devtools: COMMAND elementClear("ELEMENT-3")
10:46:54 [0-0] 2022-12-06T09:46:53.628Z INFO devtools: RESULT null
10:46:54 [0-0] 2022-12-06T09:46:53.631Z INFO devtools: COMMAND elementSendKeys("ELEMENT-3", "testwikijenkinspass")
10:46:54 [0-0] 2022-12-06T09:46:53.783Z INFO devtools: RESULT null
10:46:54 [0-0] 2022-12-06T09:46:53.787Z INFO devtools: COMMAND findElement("css selector", "#wpLoginAttempt")
10:46:54 [0-0] 2022-12-06T09:46:53.789Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-4' }
10:46:54 [0-0] 2022-12-06T09:46:53.797Z INFO devtools: COMMAND elementClick("ELEMENT-4")
10:46:54 [0-0] 2022-12-06T09:46:53.843Z INFO devtools: RESULT null
10:46:54 [0-0] 2022-12-06T09:46:54.716Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:54 [0-0] 2022-12-06T09:46:54.725Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?veaction=edit&cxhidebetapopup=1&hidewelcomedialog=1&vehidebetadialog=1&title=0.0924207602655076-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n")
10:46:54 [0-0] 2022-12-06T09:46:54.737Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:54 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:54 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:54 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:54 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:54 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:54 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:54 [0-0]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/content_editable.js:17:3)
10:46:54 [0-0] 2022-12-06T09:46:55.217Z INFO devtools: RESULT null
10:46:55 [0-0] 2022-12-06T09:46:55.297Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:55 [0-0] 2022-12-06T09:46:55.326Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:55 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:55 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:55 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:55 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:55 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:46:55 [0-0]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:46:55 [0-0]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:46:55 [0-0] 2022-12-06T09:46:55.362Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:55 [0-0] 2022-12-06T09:46:55.380Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:55 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:55 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:55 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:55 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:55 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:46:55 [0-0]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:46:55 [0-0]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:46:55 [0-0] 2022-12-06T09:46:55.807Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:55 [0-0] 2022-12-06T09:46:55.810Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:55 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:55 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:55 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:55 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:55 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:46:55 [0-0]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:46:55 [0-0]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:55 [0-0]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:46:55 [0-0] 2022-12-06T09:46:56.308Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:56 [0-0] 2022-12-06T09:46:56.344Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-5' }
10:46:56 [0-0] 2022-12-06T09:46:56.379Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:46:56 [0-0] 2022-12-06T09:46:56.403Z INFO devtools: RESULT true
10:46:56 [0-0] 2022-12-06T09:46:56.425Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:56 [0-0] 2022-12-06T09:46:56.428Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-6' }
10:46:56 [0-0] 2022-12-06T09:46:56.439Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:46:56 [0-0] 2022-12-06T09:46:56.449Z INFO devtools: RESULT true
10:46:56 [0-0] 2022-12-06T09:46:56.458Z INFO devtools: COMMAND takeScreenshot()
10:46:56 [0-0] 2022-12-06T09:46:56.459Z INFO devtools: COMMAND deleteSession()
10:46:56 [0-0] 2022-12-06T09:46:56.463Z INFO devtools: RESULT null
10:46:56 [0-0] 2022-12-06T09:46:56.464Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
10:46:56 [0-0] 2022-12-06T09:46:57.033Z INFO devtools: Connect Puppeteer with browser on port 37993
10:46:57 [0-0] 2022-12-06T09:46:57.101Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:46:57 [0-0] 2022-12-06T09:46:57.103Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?title=Special%3AUserLogin")
10:46:57 [0-0] 2022-12-06T09:46:57.114Z INFO devtools: RESULT Error: Element with selector "#wpName1" not found
10:46:57 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:57 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:57 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:57 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:57 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:57 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:57 [0-0]     at async LoginPage.login (/workspace/src/extensions/VisualEditor/node_modules/wdio-mediawiki/LoginPage.js:17:3)
10:46:57 [0-0]     at async LoginPage.loginAdmin (/workspace/src/extensions/VisualEditor/node_modules/wdio-mediawiki/LoginPage.js:23:3)
10:46:57 [0-0]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/content_editable.js:14:3)
10:46:57 [0-0] 2022-12-06T09:46:57.684Z INFO devtools: RESULT null
10:46:57 [0-0] 2022-12-06T09:46:57.795Z INFO devtools: COMMAND findElements("css selector", "#wpName1")
10:46:57 [0-0] 2022-12-06T09:46:57.845Z INFO devtools: RESULT [ { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-7' } ]
10:46:57 [0-0] 2022-12-06T09:46:57.887Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:46:57 [0-0] 2022-12-06T09:46:57.893Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-8' }
10:46:57 [0-0] 2022-12-06T09:46:57.896Z INFO devtools: COMMAND elementClear("ELEMENT-8")
10:46:57 [0-0] 2022-12-06T09:46:57.899Z INFO devtools: RESULT null
10:46:57 [0-0] 2022-12-06T09:46:57.900Z INFO devtools: COMMAND elementSendKeys("ELEMENT-8", "WikiAdmin")
10:46:57 [0-0] 2022-12-06T09:46:57.980Z INFO devtools: RESULT null
10:46:57 [0-0] 2022-12-06T09:46:57.983Z INFO devtools: COMMAND findElement("css selector", "#wpPassword1")
10:46:57 [0-0] 2022-12-06T09:46:57.986Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-9' }
10:46:58 [0-0] 2022-12-06T09:46:58.042Z INFO devtools: COMMAND elementClear("ELEMENT-9")
10:46:58 [0-0] 2022-12-06T09:46:58.083Z INFO devtools: RESULT null
10:46:58 [0-0] 2022-12-06T09:46:58.094Z INFO devtools: COMMAND elementSendKeys("ELEMENT-9", "testwikijenkinspass")
10:46:58 [0-0] 2022-12-06T09:46:58.231Z INFO devtools: RESULT null
10:46:58 [0-0] 2022-12-06T09:46:58.233Z INFO devtools: COMMAND findElement("css selector", "#wpLoginAttempt")
10:46:58 [0-0] 2022-12-06T09:46:58.237Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-10' }
10:46:58 [0-0] 2022-12-06T09:46:58.242Z INFO devtools: COMMAND elementClick("ELEMENT-10")
10:46:58 [0-0] 2022-12-06T09:46:58.296Z INFO devtools: RESULT null
10:46:58 [0-0] 2022-12-06T09:46:59.205Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:59 [0-0] 2022-12-06T09:46:59.207Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?veaction=edit&cxhidebetapopup=1&hidewelcomedialog=1&vehidebetadialog=1&title=0.9919816623517537-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n")
10:46:59 [0-0] 2022-12-06T09:46:59.248Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:59 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:59 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:59 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:59 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:59 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/content_editable.js:17:3)
10:46:59 [0-0] 2022-12-06T09:46:59.667Z INFO devtools: RESULT null
10:46:59 [0-0] 2022-12-06T09:46:59.739Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:59 [0-0] 2022-12-06T09:46:59.758Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:59 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:59 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:59 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:59 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:59 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:46:59 [0-0]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:46:59 [0-0]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:46:59 [0-0] 2022-12-06T09:46:59.783Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:46:59 [0-0] 2022-12-06T09:46:59.786Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:46:59 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:46:59 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:46:59 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:46:59 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:46:59 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:46:59 [0-0]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:46:59 [0-0]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:46:59 [0-0]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:46:59 [0-0] 2022-12-06T09:47:00.375Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:00 [0-0] 2022-12-06T09:47:00.405Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-11' }
10:47:00 [0-0] 2022-12-06T09:47:00.415Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:00 [0-0] 2022-12-06T09:47:00.457Z INFO devtools: RESULT true
10:47:00 [0-0] 2022-12-06T09:47:00.478Z INFO devtools: COMMAND findElement("css selector", ".ve-ce-rootNode[role="textbox"]")
10:47:00 [0-0] 2022-12-06T09:47:00.481Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-12' }
10:47:00 [0-0] 2022-12-06T09:47:00.491Z INFO devtools: COMMAND elementClear("ELEMENT-12")
10:47:00 [0-0] 2022-12-06T09:47:00.528Z INFO devtools: RESULT null
10:47:00 [0-0] 2022-12-06T09:47:00.537Z INFO devtools: COMMAND elementSendKeys("ELEMENT-12", "0.6459665372955454-Iñtërnâtiônàlizætiøn")
10:47:00 [0-0] 2022-12-06T09:47:00.840Z INFO devtools: RESULT null
10:47:00 [0-0] 2022-12-06T09:47:00.842Z INFO devtools: COMMAND findElement("css selector", ".ve-ce-rootNode[role="textbox"]")
10:47:00 [0-0] 2022-12-06T09:47:00.844Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-13' }
10:47:00 [0-0] 2022-12-06T09:47:00.848Z INFO devtools: COMMAND getElementText("ELEMENT-13")
10:47:00 [0-0] 2022-12-06T09:47:00.854Z INFO devtools: RESULT 0.6459665372955454-Iñtërnâtiônàlizætiøn
10:47:00 [0-0] 2022-12-06T09:47:00.863Z INFO devtools: COMMAND takeScreenshot()
10:47:00 [0-0] 2022-12-06T09:47:00.863Z INFO devtools: COMMAND deleteSession()
10:47:00 [0-0] 2022-12-06T09:47:00.877Z INFO devtools: RESULT null
10:47:00 [0-0] 2022-12-06T09:47:00.878Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
10:47:00 [0-0] 2022-12-06T09:47:01.466Z INFO devtools: Connect Puppeteer with browser on port 36215
10:47:01 [0-0] 2022-12-06T09:47:01.556Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:47:01 [0-0] 2022-12-06T09:47:01.557Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?title=Special%3AUserLogin")
10:47:01 [0-0] 2022-12-06T09:47:02.140Z INFO devtools: RESULT null
10:47:02 [0-0] 2022-12-06T09:47:02.203Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:47:02 [0-0] 2022-12-06T09:47:02.230Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-14' }
10:47:02 [0-0] 2022-12-06T09:47:02.245Z INFO devtools: COMMAND elementClear("ELEMENT-14")
10:47:02 [0-0] 2022-12-06T09:47:02.250Z INFO devtools: RESULT null
10:47:02 [0-0] 2022-12-06T09:47:02.254Z INFO devtools: COMMAND elementSendKeys("ELEMENT-14", "WikiAdmin")
10:47:02 [0-0] 2022-12-06T09:47:02.332Z INFO devtools: RESULT null
10:47:02 [0-0] 2022-12-06T09:47:02.341Z INFO devtools: COMMAND findElement("css selector", "#wpPassword1")
10:47:02 [0-0] 2022-12-06T09:47:02.344Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-15' }
10:47:02 [0-0] 2022-12-06T09:47:02.391Z INFO devtools: COMMAND elementClear("ELEMENT-15")
10:47:02 [0-0] 2022-12-06T09:47:02.405Z INFO devtools: RESULT null
10:47:02 [0-0] 2022-12-06T09:47:02.410Z INFO devtools: COMMAND elementSendKeys("ELEMENT-15", "testwikijenkinspass")
10:47:02 [0-0] 2022-12-06T09:47:02.522Z INFO devtools: RESULT null
10:47:02 [0-0] 2022-12-06T09:47:02.525Z INFO devtools: COMMAND findElement("css selector", "#wpLoginAttempt")
10:47:02 [0-0] 2022-12-06T09:47:02.526Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-16' }
10:47:02 [0-0] 2022-12-06T09:47:02.531Z INFO devtools: COMMAND elementClick("ELEMENT-16")
10:47:02 [0-0] 2022-12-06T09:47:02.583Z INFO devtools: RESULT null
10:47:02 [0-0] 2022-12-06T09:47:03.489Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:03 [0-0] 2022-12-06T09:47:03.490Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?veaction=edit&cxhidebetapopup=1&hidewelcomedialog=1&vehidebetadialog=1&title=0.025234964599791132-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n")
10:47:03 [0-0] 2022-12-06T09:47:03.865Z INFO devtools: RESULT null
10:47:03 [0-0] 2022-12-06T09:47:03.931Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:03 [0-0] 2022-12-06T09:47:03.963Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:47:03 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:47:03 [0-0]     at runMicrotasks (<anonymous>)
10:47:03 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:47:03 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:47:03 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:03 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:47:03 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:03 [0-0]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/content_editable.js:17:3)
10:47:03 [0-0] 2022-12-06T09:47:03.996Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:04 [0-0] 2022-12-06T09:47:04.000Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:47:04 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:47:04 [0-0]     at runMicrotasks (<anonymous>)
10:47:04 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:47:04 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:47:04 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:04 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:47:04 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:04 [0-0]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:47:04 [0-0]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:47:04 [0-0]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:04 [0-0] 2022-12-06T09:47:04.593Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:04 [0-0] 2022-12-06T09:47:04.626Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-17' }
10:47:04 [0-0] 2022-12-06T09:47:04.637Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:04 [0-0] 2022-12-06T09:47:04.666Z INFO devtools: RESULT true
10:47:04 [0-0] 2022-12-06T09:47:04.690Z INFO devtools: COMMAND findElement("css selector", ".ve-ce-rootNode[role="textbox"]")
10:47:04 [0-0] 2022-12-06T09:47:04.693Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-18' }
10:47:04 [0-0] 2022-12-06T09:47:04.727Z INFO devtools: COMMAND elementClear("ELEMENT-18")
10:47:04 [0-0] 2022-12-06T09:47:04.734Z INFO devtools: RESULT null
10:47:04 [0-0] 2022-12-06T09:47:04.740Z INFO devtools: COMMAND elementSendKeys("ELEMENT-18", "0.7590741640853043-Iñtërnâtiônàlizætiøn")
10:47:04 [0-0] 2022-12-06T09:47:05.004Z INFO devtools: RESULT null
10:47:05 [0-0] 2022-12-06T09:47:05.006Z INFO devtools: COMMAND findElement("css selector", ".ve-ui-toolbar-saveButton")
10:47:05 [0-0] 2022-12-06T09:47:05.007Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-19' }
10:47:05 [0-0] 2022-12-06T09:47:05.010Z INFO devtools: COMMAND elementClick("ELEMENT-19")
10:47:05 [0-0] 2022-12-06T09:47:05.092Z INFO devtools: RESULT null
10:47:05 [0-0] 2022-12-06T09:47:05.119Z INFO devtools: COMMAND findElement("css selector", ".ve-ui-overlay-global .oo-ui-processDialog-actions-primary")
10:47:05 [0-0] 2022-12-06T09:47:05.128Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-20' }
10:47:05 [0-0] 2022-12-06T09:47:05.197Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:05 [0-0] 2022-12-06T09:47:05.245Z INFO devtools: RESULT false
10:47:05 [0-0] 2022-12-06T09:47:05.640Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:05 [0-0] 2022-12-06T09:47:05.648Z INFO devtools: RESULT true
10:47:05 [0-0] 2022-12-06T09:47:05.658Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:05 [0-0] 2022-12-06T09:47:05.671Z INFO devtools: RESULT true
10:47:05 [0-0] 2022-12-06T09:47:05.674Z INFO devtools: COMMAND findElement("css selector", ".ve-ui-overlay-global .oo-ui-processDialog-actions-primary")
10:47:05 [0-0] 2022-12-06T09:47:05.678Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-21' }
10:47:05 [0-0] 2022-12-06T09:47:05.696Z INFO devtools: COMMAND elementClick("ELEMENT-21")
10:47:05 [0-0] 2022-12-06T09:47:05.748Z INFO devtools: RESULT null
10:47:05 [0-0] 2022-12-06T09:47:05.764Z INFO devtools: COMMAND executeAsyncScript(<fn>, <object>)
10:47:05 [0-0] 2022-12-06T09:47:06.095Z INFO devtools: COMMAND findElement("css selector", "div.mw-notification-content span.oo-ui-labelElement-label")
10:47:06 [0-0] 2022-12-06T09:47:06.105Z INFO devtools: RESULT Error: Element with selector "div.mw-notification-content span.oo-ui-labelElement-label" not found
10:47:06 [0-0]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:47:06 [0-0]     at runMicrotasks (<anonymous>)
10:47:06 [0-0]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:47:06 [0-0]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:47:06 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:06 [0-0]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:47:06 [0-0]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:06 [0-0]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/content_editable.js:44:23)
10:47:06 [0-0] 2022-12-06T09:47:06.117Z INFO devtools: COMMAND findElements("css selector", "div.mw-notification-content span.oo-ui-labelElement-label")
10:47:06 [0-0] 2022-12-06T09:47:06.131Z INFO devtools: RESULT []
10:47:06 [0-0] 2022-12-06T09:47:06.800Z INFO devtools: COMMAND findElements("css selector", "div.mw-notification-content span.oo-ui-labelElement-label")
10:47:06 [0-0] 2022-12-06T09:47:06.848Z INFO devtools: RESULT []
10:47:06 [0-0] 2022-12-06T09:47:07.114Z INFO devtools: COMMAND findElements("css selector", "div.mw-notification-content span.oo-ui-labelElement-label")
10:47:07 [0-0] 2022-12-06T09:47:07.119Z INFO devtools: RESULT [ { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-22' } ]
10:47:07 [0-0] 2022-12-06T09:47:07.123Z INFO devtools: COMMAND findElement("css selector", "div.mw-notification-content span.oo-ui-labelElement-label")
10:47:07 [0-0] 2022-12-06T09:47:07.124Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-23' }
10:47:07 [0-0] 2022-12-06T09:47:07.128Z INFO devtools: COMMAND getElementText("ELEMENT-23")
10:47:07 [0-0] 2022-12-06T09:47:07.131Z INFO devtools: RESULT The page has been created.
10:47:07 [0-0] 2022-12-06T09:47:07.134Z INFO devtools: COMMAND takeScreenshot()
10:47:07 [0-0] 2022-12-06T09:47:07.135Z INFO devtools: COMMAND deleteSession()
10:47:07 [0-0] 2022-12-06T09:47:07.136Z INFO devtools: RESULT null
10:47:07 [0-0] 2022-12-06T09:47:07.136Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
10:47:07 [0-0] 2022-12-06T09:47:32.316Z ERROR @wdio/local-runner: Failed launching test session: Error: Couldn't find page handle
10:47:32 [0-0]     at DevToolsDriver.getPageHandle (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:170:19)
10:47:32 [0-0]     at DevToolsDriver.checkPendingNavigations (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:179:25)
10:47:32 [0-0]     at Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:97:24)
10:47:32 [0-0]     at Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:38)
10:47:32 [0-0]     at async Runner.endSession (/workspace/src/extensions/VisualEditor/node_modules/@wdio/runner/build/index.js:348:9)
10:47:32 [0-0]     at async Runner.run (/workspace/src/extensions/VisualEditor/node_modules/@wdio/runner/build/index.js:164:13)
10:47:32 [0-0] FAILED in chrome - /tests/selenium/specs/content_editable.js
10:47:32 2022-12-06T09:47:32.342Z INFO @wdio/cli:launcher: Run onWorkerStart hook
10:47:32 2022-12-06T09:47:32.343Z INFO @wdio/local-runner: Start worker 0-1 with arg: tests/selenium/wdio.conf.js
10:47:32 [0-1] 2022-12-06T09:47:32.707Z INFO @wdio/local-runner: Run worker command: run
10:47:32 [0-1] RUNNING in chrome - /tests/selenium/specs/toolbar.js
10:47:32 [0-1] 2022-12-06T09:47:32.903Z INFO devtools:puppeteer: Initiate new session using the DevTools protocol
10:47:32 [0-1] 2022-12-06T09:47:32.904Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
10:47:32 [0-1] 2022-12-06T09:47:33.521Z INFO devtools: Connect Puppeteer with browser on port 40399
10:47:33 [0-1] 2022-12-06T09:47:33.749Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:47:33 [0-1] 2022-12-06T09:47:33.750Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?title=Special%3AUserLogin")
10:47:33 [0-1] 2022-12-06T09:47:34.393Z INFO devtools: RESULT null
10:47:34 [0-1] 2022-12-06T09:47:34.452Z INFO devtools: COMMAND findElement("css selector", "#wpName1")
10:47:34 [0-1] 2022-12-06T09:47:34.482Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-1' }
10:47:34 [0-1] 2022-12-06T09:47:34.497Z INFO devtools: COMMAND elementClear("ELEMENT-1")
10:47:34 [0-1] 2022-12-06T09:47:34.512Z INFO devtools: RESULT null
10:47:34 [0-1] 2022-12-06T09:47:34.522Z INFO devtools: COMMAND elementSendKeys("ELEMENT-1", "WikiAdmin")
10:47:34 [0-1] 2022-12-06T09:47:34.599Z INFO devtools: RESULT null
10:47:34 [0-1] 2022-12-06T09:47:34.609Z INFO devtools: COMMAND findElement("css selector", "#wpPassword1")
10:47:34 [0-1] 2022-12-06T09:47:34.614Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-2' }
10:47:34 [0-1] 2022-12-06T09:47:34.630Z INFO devtools: COMMAND elementClear("ELEMENT-2")
10:47:34 [0-1] 2022-12-06T09:47:34.645Z INFO devtools: RESULT null
10:47:34 [0-1] 2022-12-06T09:47:34.660Z INFO devtools: COMMAND elementSendKeys("ELEMENT-2", "testwikijenkinspass")
10:47:34 [0-1] 2022-12-06T09:47:34.827Z INFO devtools: RESULT null
10:47:34 [0-1] 2022-12-06T09:47:34.832Z INFO devtools: COMMAND findElement("css selector", "#wpLoginAttempt")
10:47:34 [0-1] 2022-12-06T09:47:34.836Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-3' }
10:47:34 [0-1] 2022-12-06T09:47:34.846Z INFO devtools: COMMAND elementClick("ELEMENT-3")
10:47:34 [0-1] 2022-12-06T09:47:34.895Z INFO devtools: RESULT null
10:47:34 [0-1] 2022-12-06T09:47:35.759Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:35 [0-1] 2022-12-06T09:47:35.760Z INFO devtools: COMMAND navigateTo("http://127.0.0.1:9413//index.php?veaction=edit&cxhidebetapopup=1&hidewelcomedialog=1&vehidebetadialog=1&title=0.09766932282935636-I%C3%B1t%C3%ABrn%C3%A2ti%C3%B4n%C3%A0liz%C3%A6ti%C3%B8n")
10:47:35 [0-1] 2022-12-06T09:47:35.786Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:47:35 [0-1]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:47:35 [0-1]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:47:35 [0-1]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:47:35 [0-1]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:35 [0-1]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:47:35 [0-1]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:35 [0-1]     at async Context.<anonymous> (/workspace/src/extensions/VisualEditor/tests/selenium/specs/toolbar.js:16:3)
10:47:35 [0-1] 2022-12-06T09:47:36.143Z INFO devtools: RESULT null
10:47:36 [0-1] 2022-12-06T09:47:36.212Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:36 [0-1] 2022-12-06T09:47:36.255Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:47:36 [0-1]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:47:36 [0-1]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:47:36 [0-1]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:47:36 [0-1]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:36 [0-1]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:47:36 [0-1]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:36 [0-1]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:47:36 [0-1]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:47:36 [0-1]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:36 [0-1]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:47:36 [0-1] 2022-12-06T09:47:36.299Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:36 [0-1] 2022-12-06T09:47:36.303Z INFO devtools: RESULT Error: Element with selector ".ve-init-mw-desktopArticleTarget-toolbar-open" not found
10:47:36 [0-1]     at DevToolsDriver.findElement (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/utils.js:104:16)
10:47:36 [0-1]     at processTicksAndRejections (internal/process/task_queues.js:95:5)
10:47:36 [0-1]     at async Browser.wrappedCommand (/workspace/src/extensions/VisualEditor/node_modules/devtools/build/devtoolsdriver.js:102:26)
10:47:36 [0-1]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:36 [0-1]     at async Browser.$ (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/browser/$.js:88:17)
10:47:36 [0-1]     at async Browser.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:36 [0-1]     at async hasElementId (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/utils/index.js:401:30)
10:47:36 [0-1]     at async Element.isDisplayed (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/commands/element/isDisplayed.js:61:10)
10:47:36 [0-1]     at async Element.wrapCommandFn (/workspace/src/extensions/VisualEditor/node_modules/@wdio/utils/build/shim.js:131:29)
10:47:36 [0-1]     at async Element.elementErrorHandlerCallbackFn (/workspace/src/extensions/VisualEditor/node_modules/webdriverio/build/middlewares.js:24:32)
10:47:36 [0-1] 2022-12-06T09:47:36.937Z INFO devtools: COMMAND findElement("css selector", ".ve-init-mw-desktopArticleTarget-toolbar-open")
10:47:36 [0-1] 2022-12-06T09:47:36.966Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-4' }
10:47:36 [0-1] 2022-12-06T09:47:36.984Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:37 [0-1] 2022-12-06T09:47:37.023Z INFO devtools: RESULT true
10:47:37 [0-1] 2022-12-06T09:47:37.041Z INFO devtools: COMMAND findElement("css selector", ".ve-ui-toolbar-group-editMode")
10:47:37 [0-1] 2022-12-06T09:47:37.042Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-5' }
10:47:37 [0-1] 2022-12-06T09:47:37.087Z INFO devtools: COMMAND elementClick("ELEMENT-5")
10:47:37 [0-1] 2022-12-06T09:47:37.180Z INFO devtools: RESULT null
10:47:37 [0-1] 2022-12-06T09:47:37.198Z INFO devtools: COMMAND findElement("css selector", ".oo-ui-popupToolGroup-active-tools")
10:47:37 [0-1] 2022-12-06T09:47:37.207Z INFO devtools: RESULT { 'element-6066-11e4-a52e-4f735466cecf': 'ELEMENT-6' }
10:47:37 [0-1] 2022-12-06T09:47:37.218Z INFO devtools: COMMAND executeScript(<fn>, <object>)
10:47:37 [0-1] 2022-12-06T09:47:37.226Z INFO devtools: RESULT true
10:47:37 [0-1] 2022-12-06T09:47:37.229Z INFO devtools: COMMAND takeScreenshot()
10:47:37 [0-1] 2022-12-06T09:47:37.230Z INFO devtools: COMMAND deleteSession()
10:47:37 [0-1] 2022-12-06T09:47:37.233Z INFO devtools: RESULT null
10:47:37 [0-1] 2022-12-06T09:47:37.235Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
10:47:37 [0-1] 2022-12-06T09:47:37.822Z INFO devtools: Connect Puppeteer with browser on port 42759
10:47:37 [0-1] 2022-12-06T09:47:37.985Z INFO devtools: COMMAND deleteSession()
10:47:38 [0-1] 2022-12-06T09:47:37.986Z INFO devtools: RESULT null
10:47:38 [0-1] PASSED in chrome - /tests/selenium/specs/toolbar.js
10:47:38 2022-12-06T09:47:38.120Z INFO @wdio/cli:launcher: Run onComplete hook
10:47:38 
10:47:38  "spec" Reporter:
10:47:38 ------------------------------------------------------------------
10:47:38 [Chrome 90.0.4430.212 linux #0-1] Running: Chrome (v90.0.4430.212) on linux
10:47:38 [Chrome 90.0.4430.212 linux #0-1] Session ID: 255180f7-e416-4eba-a4fd-b6e199b8839b
10:47:38 [Chrome 90.0.4430.212 linux #0-1]
10:47:38 [Chrome 90.0.4430.212 linux #0-1] » /tests/selenium/specs/toolbar.js
10:47:38 [Chrome 90.0.4430.212 linux #0-1] Toolbar
10:47:38 [Chrome 90.0.4430.212 linux #0-1]    ✓ should open switch editor
10:47:38 [Chrome 90.0.4430.212 linux #0-1]
10:47:38 [Chrome 90.0.4430.212 linux #0-1] 1 passing (4.2s)
10:47:38 
10:47:38 
10:47:38 Spec Files:	 1 passed, 1 failed, 2 total (100% completed) in 00:00:46 
10:47:38

Event Timeline

Change 864914 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/VisualEditor@master] Revert "selenium: Do not retry tests"

https://gerrit.wikimedia.org/r/864914

Seen multiple times today.

Change 864914 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Revert "selenium: Do not retry tests"

https://gerrit.wikimedia.org/r/864914

zeljkofilipin changed the task status from Open to In Progress.Dec 9 2022, 12:45 PM
zeljkofilipin changed the task status from In Progress to Open.Dec 15 2022, 11:45 AM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin moved this task from Deep work 🌊 to Q1 👔 on the User-zeljkofilipin board.
zeljkofilipin added a subscriber: EAkinloose.

@EAkinloose We have to take a look at this soon.

zeljkofilipin raised the priority of this task from High to Needs Triage.Oct 31 2023, 4:14 PM